Package org.eclipse.rdf4j.http.server.repository.resolver

## Class DefaultRepositoryResolver

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.resolver.DefaultRepositoryResolver

- All Implemented Interfaces:
    `RepositoryResolver`

      public class DefaultRepositoryResolver
      extends Object
      implements RepositoryResolver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultRepositoryResolver​(RepositoryManager repMan)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Repository` | `getRepository​(javax.servlet.http.HttpServletRequest request)` |
    `RepositoryConfig` | `getRepositoryConfig​(String repId, Model model)` |
    `RepositoryConnection` | `getRepositoryConnection​(javax.servlet.http.HttpServletRequest request, Repository repository)` |
    `String` | `getRepositoryID​(javax.servlet.http.HttpServletRequest request)` |
    `RepositoryManager` | `getRepositoryManager()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryResolver

          public DefaultRepositoryResolver​(RepositoryManager repMan)

  - ### Method Detail

    - #### getRepositoryManager

          public RepositoryManager getRepositoryManager()

      Specified by:
        `getRepositoryManager` in interface `RepositoryResolver`

    - #### getRepositoryConfig

          public RepositoryConfig getRepositoryConfig​(String repId,
                                                      Model model)

      Specified by:
        `getRepositoryConfig` in interface `RepositoryResolver`

    - #### getRepositoryID

          public String getRepositoryID​(javax.servlet.http.HttpServletRequest request)

      Specified by:
        `getRepositoryID` in interface `RepositoryResolver`

    - #### getRepositoryConnection

          public RepositoryConnection getRepositoryConnection​(javax.servlet.http.HttpServletRequest request,
                                                              Repository repository)

      Specified by:
        `getRepositoryConnection` in interface `RepositoryResolver`

    - #### getRepository

          public Repository getRepository​(javax.servlet.http.HttpServletRequest request)

      Specified by:
        `getRepository` in interface `RepositoryResolver`